Page MenuHomePhabricator

CX2: Machine translation service client
Closed, ResolvedPublic

Description

To support machine translation of paragraph, image captions, template params, reference content, the MT service should be rewritten.

  • It should not be directly integrated with any particular translation unit. in CX1, we were able to translate only paragraphs. But now we can use a mixin pattern(just a suggestion) to say a translation unit is "machine translatable" and inject this new service into it
  • We should have a way to remember the MT engine preferences and to manage default, non default mt engines for the language pair
  • The content that get changed while switching between multiple clients, 'use source' should be preserved so that choosing an option from MT tool card should not result data loss at any time

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

santhosh created this task.Apr 4 2017, 5:17 AM
Arrbee reassigned this task from santhosh to Nikerabbit.Apr 5 2017, 7:01 AM

Change 346991 had a related patch set uploaded (by Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] WIP: CX2: Machine translation service client

https://gerrit.wikimedia.org/r/346991

Change 346991 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Machine translation service client

https://gerrit.wikimedia.org/r/346991

Change 351894 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] CX2: Integrate MT with SectionTranslationUnit

https://gerrit.wikimedia.org/r/351894

Change 351894 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Integrate MT with SectionTranslationUnit

https://gerrit.wikimedia.org/r/351894

Change 355400 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] Unbreak image translation units and fix MT for them

https://gerrit.wikimedia.org/r/355400

Change 355400 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Unbreak image translation units and fix MT for them

https://gerrit.wikimedia.org/r/355400

Change 356131 had a related patch set uploaded (by Nikerabbit; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Fix the disappearing figurecaption issue when restored and clicked

https://gerrit.wikimedia.org/r/356131

Change 356131 merged by Nikerabbit:
[mediawiki/extensions/ContentTranslation@master] CX2: Fix the disappearing figurecaption issue when restored and clicked

https://gerrit.wikimedia.org/r/356131

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Mass-moving all items tagged for MediaWiki 1.30.0-wmf.3, as that was never released; instead, we're using -wmf.4.

Arrbee closed this task as Resolved.Jun 20 2017, 7:06 AM